<?php 

namespace BeycanPress\Licensor\Pages;

use \Beycan\EnvatoLicenseChecker;
use BeycanPress\Licensor\PluginHero\Page;

/**
 * Check from envato
 */
class CheckFromEnvato extends Page
{   
    /**
     * Class construct
     * @return void
     */
    public function __construct()
    {
        parent::__construct([
            'pageName' => esc_html__('Check from envato', 'licensor'),
            'parent' => $this->pages->LicenseList->slug
        ]);
    }

    /**
     * @return void
     */
    public function page()
    {
        $envatoLicense = null;
        if (isset($_POST['licenseCode'])) {
            $licenseCode = sanitize_text_field($_POST['licenseCode']);

            if (!$licenseCode) {
                $this->notice(esc_html__('License code not found!', 'licensor'), 'error', true);
            }
    
            $pattern = '/^[a-zA-Z0-9-]*$/m';
            preg_match_all($pattern, $licenseCode, $matches, PREG_SET_ORDER, 0);
    
            $pattern2 = '/^[a-zA-Z0-9-]{8}-[a-zA-Z0-9-]{4}-[a-zA-Z0-9-]{4}-[a-zA-Z0-9-]{4}-[a-zA-Z0-9-]{12}/m';
            preg_match_all($pattern2, $licenseCode, $matches2, PREG_SET_ORDER, 0);
    
            if (!$matches || !$matches2) {
                $this->notice(esc_html__('Invalid license code format!', 'licensor'), 'error', true);
            }

            EnvatoLicenseChecker::setBearerToken($this->setting('envatoApiKey'));
            $envatoLicense = EnvatoLicenseChecker::check($licenseCode);
        }

        $this->viewEcho('pages/check-from-envato', compact('envatoLicense'));
    }
}