<div class="woocommerce_account_my_licenses">

	<?php if (!empty($licenses)) : ?>
	<table class="my_account_my_licenses my_account_orders woocommerce-orders-table woocommerce-MyAccount-my_licenses shop_table shop_table_responsive woocommerce-orders-table--my_licenses">

	<thead>
		<tr>
			<th class="my_licenses-license-code order-number woocommerce-orders-table__header woocommerce-orders-table__header-order-number woocommerce-orders-table__header-my_licenses-license-code"><span class="nobr"><?php esc_html_e('License code', 'licensor'); ?></span></th>
            <th class="my_licenses-license-type order-license-type woocommerce-orders-table__header woocommerce-orders-table__header-order-license-type woocommerce-orders-table__header-my_licenses-license-type"><span class="nobr"><?php echo esc_html_x('License type', 'table heading', 'licensor'); ?></span></th>
            <th class="my_licenses-domain order-domain woocommerce-orders-table__header woocommerce-orders-table__header-order-domain woocommerce-orders-table__header-my_licenses-domain"><span class="nobr"><?php echo esc_html_x('Domain', 'table heading', 'licensor'); ?></span></th>
			<th class="my_licenses-status order-status woocommerce-orders-table__header woocommerce-orders-table__header-order-status woocommerce-orders-table__header-my_licenses-status"><span class="nobr"><?php esc_html_e('Status', 'licensor'); ?></span></th>
			<th class="my_licenses-expire-time order-expire-time woocommerce-orders-table__header woocommerce-orders-table__header-order-expire-time woocommerce-orders-table__header-my_licenses-expire-time"><span class="nobr"><?php echo esc_html_x('Expire time', 'table heading', 'licensor'); ?></span></th>
			<th class="my_licenses-actions order-actions woocommerce-orders-table__header woocommerce-orders-table__header-order-actions woocommerce-orders-table__header-my_licenses-actions">&nbsp;</th>
		</tr>
	</thead>

	<tbody>
	<?php foreach ($licenses as $license) : ?>
		<tr class="order woocommerce-orders-table__row woocommerce-orders-table__row--status">
			<td class="my_licenses-license-code order-number woocommerce-orders-table__cell woocommerce-orders-table__cell-my_licenses-license-code woocommerce-orders-table__cell-order-number" data-title="<?php esc_attr_e('License code', 'licensor'); ?>">
				<?php echo esc_html($license->licenseCode); ?>
			</td>
			<td class="my_licenses-license-type order-number woocommerce-orders-table__cell woocommerce-orders-table__cell-my_licenses-license-type woocommerce-orders-table__cell-order-number" data-title="<?php esc_attr_e('License type', 'licensor'); ?>">
                <?php 
                    $licenseTypeEnums = $this->setting('licenseTypeEnums');
                    $licenseTypeEnumIndex = array_search($license->licenseType, array_column($licenseTypeEnums, 'number'));
                    echo $licenseTypeEnums[$licenseTypeEnumIndex]['licenseType'] ?? esc_html__('Undefined', 'licensor');
                ?>
			</td>
			<td class="my_licenses-domain order-domain woocommerce-orders-table__cell woocommerce-orders-table__cell-my_licenses-domain woocommerce-orders-table__cell-order-domain" data-title="<?php echo esc_attr_x('domain', 'table heading', 'licensor'); ?>">
				<?php if (isset($license->domain)) : ?>
					<a href="<?php echo esc_url($license->domain); ?>" target="_blank">
						<?php echo esc_html($license->domain); ?>
					</a>
				<?php else :
					_e('Domain not assigned', 'licensor');
				endif; ?>
			</td>
            <td class="my_licenses-status order-status woocommerce-orders-table__cell woocommerce-orders-table__cell-my_licenses-status woocommerce-orders-table__cell-order-status" data-title="<?php esc_attr_e('Status', 'licensor'); ?>">
                <?php if ($license->status == 1) : esc_html_e('Active', 'licensor'); else: esc_html_e('Deactive', 'licensor'); endif; ?>
			</td>
			<td class="my_licenses-expire order-expire woocommerce-orders-table__cell woocommerce-orders-table__cell-my_licenses-expire woocommerce-orders-table__cell-order-expire" data-title="<?php echo esc_attr_x( 'Total', 'Used in data attribute. Escaped', 'licensor' ); ?>">
                <?php if ($license->expireTime) : ?>
                    <?php echo esc_html(date_i18n(get_option('date_format'), strtotime($license->expireTime))); ?>
                <?php else: ?>
                    <?php esc_html_e('Never', 'licensor'); ?>
                <?php endif; ?>
			</td>
			<td class="my_licenses-actions order-actions woocommerce-orders-table__cell woocommerce-orders-table__cell-my_licenses-actions woocommerce-orders-table__cell-order-actions">
				<a href="<?php echo esc_url(get_permalink(get_option('woocommerce_myaccount_page_id')) . 'view-license/'.$license->id) ?>" class="woocommerce-button button view"><?php echo esc_html_x('View', 'view a license', 'licensor'); ?></a>
			</td>
		</tr>
	<?php endforeach; ?>
	</tbody>

	</table>
		<?php if (1 < $maxNumPages) : ?>
			<div class="woocommerce-pagination woocommerce-pagination--without-numbers woocommerce-Pagination">
			<?php if (1 !== $currentPage) : ?>
				<a class="woocommerce-button woocommerce-button--previous woocommerce-Button woocommerce-Button--previous button" href="<?php echo esc_url($this->createEndpointLink('my-licenses/' . ($currentPage - 1))); ?>"><?php esc_html_e('Previous', 'licensor'); ?></a>
			<?php endif; ?>

			<?php if ( intval($maxNumPages) !== $currentPage) : ?>
				<a class="woocommerce-button woocommerce-button--next woocommerce-Button woocommerce-Button--next button" href="<?php echo esc_url($this->createEndpointLink('my-licenses/' . ($currentPage + 1))); ?>"><?php esc_html_e('Next', 'licensor'); ?></a>
			<?php endif; ?>
			</div>
		<?php endif; ?>
	<?php else : ?>
		<p class="no_my_licenses woocommerce-message woocommerce-message--info woocommerce-Message woocommerce-Message--info woocommerce-info">
			<?php if (1 < $currentPage) :
				printf(esc_html__('You have reached the end of license. Go to the %sfirst page%s.', 'licensor'), '<a href="' . esc_url($this->createEndpointLink('my-licenses/' . 1)) . '">', '</a>');
			else :
				esc_html_e('You have no active license.', 'licensor');
				?>
				<a class="woocommerce-Button button" href="<?php echo esc_url(apply_filters('woocommerce_return_to_shop_redirect', wc_get_page_permalink('shop'))); ?>">
					<?php esc_html_e('Browse products', 'licensor'); ?>
				</a>
			<?php
		endif; ?>
		</p>

	<?php endif; ?>

</div>
