<div class="wrap">
    <h1 class="wp-heading-inline">
        <?php echo esc_html__('Check from envato', 'licensor'); ?>
    </h1>
    <hr class="wp-header-end">
    <br>
    <?php esc_html_e('On this page, you can check the license you have sold through Envato, that is, the purchase code. Because if the client reversal, the code will be cancelled. You can check this here.', 'licensor') ?>
    <br><br>
    <form method="post" action="<?php echo esc_url($this->getCurrentUrl()) ?>">
        <input type="text" name="licenseCode" value="<?php echo isset($_POST['licenseCode']) ? $_POST['licenseCode'] : null; ?>" required>
        <button  type="submit" class="button button-primary">
            <?php echo esc_html__('Check', 'licensor'); ?>
        </button>
    </form>
    <br><br>
    <?php if(isset($envatoLicense)) : 
		if (!$envatoLicense) {
			_e('License not found in Envato', 'licensor'); 
		} else { ?>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th scope="row">
                            <label><?php echo esc_html__('Name', 'licensor') ?></label>
                        </th>
                        <td>
                            <a href="<?php echo esc_url($envatoLicense->item->url); ?>" target="_blank"><?php echo esc_html($envatoLicense->item->name); ?></a>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">
                            <label><?php echo esc_html__('License type', 'licensor') ?></label>
                        </th>
                        <td>
                            <?php echo esc_html($envatoLicense->license); ?>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">
                            <label><?php echo esc_html__('Amount', 'licensor') ?></label>
                        </th>
                        <td>
                            <?php echo esc_html($envatoLicense->amount); ?> USD
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">
                            <label><?php echo esc_html__('Sold at', 'licensor') ?></label>
                        </th>
                        <td>
                            <?php echo esc_html(date_i18n(get_option('date_format'), strtotime($envatoLicense->sold_at))); ?>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">
                            <label><?php echo esc_html__('Buyer', 'licensor') ?></label>
                        </th>
                        <td>
                            <a href="<?php echo esc_url($envatoLicense->item->site . '/user/' . $envatoLicense->buyer); ?>" target="_blank"><?php echo esc_html($envatoLicense->buyer); ?></a>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">
                            <label><?php echo esc_html__('Platform', 'licensor') ?></label>
                        </th>
                        <td>
                            <a href="<?php echo esc_url($envatoLicense->item->site); ?>" target="_blank">
                                <?php echo esc_html($envatoLicense->item->site); ?>
                            </a>
                        </td>
                    </tr>
                </tbody>
            </table>
		<?php }
	endif;?>
</div>