<div class="wrap">
    <h1 class="wp-heading-inline">
        <?php echo esc_html__('Create new license', 'licensor'); ?>
    </h1>
    <hr class="wp-header-end">
    
    <form id="licensor-create-license" action="<?php echo esc_url($this->getCurrentUrl()); ?>" method="post">
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row">
                        <label for="productId"><?php echo esc_html__('Product id', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="productId" type="number" id="productId" class="regular-text" value="<?php echo isset($_POST['productId']) ? esc_attr($_POST['productId']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="product"><?php echo esc_html__('Product', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="product" type="text" id="product" class="regular-text" value="<?php echo isset($_POST['product']) ? esc_attr($_POST['product']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="licenseType"><?php echo esc_html__('License type', 'licensor') ?></label>
                    </th>
                    <td>
                        <select name="licenseType" id="licenseType">
                            <?php if ($this->setting('licenseTypeEnums')) : ?>
                                <?php foreach ($this->setting('licenseTypeEnums') as $enum) : ?>
                                    <option value="1" <?php echo isset($enum['number']) && $enum['number'] == 1 ? 'selected' : null ?>><?php echo esc_html__($enum['licenseType'], 'licensor') ?></option>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="domain"><?php echo esc_html__('Domain', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="domain" type="text" id="domain" class="regular-text" value="<?php echo isset($_POST['domain']) ? esc_attr($_POST['domain']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="earning"><?php echo esc_html__('Earning', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="earning" type="number" id="earning" step="0.01" class="regular-text" value="<?php echo isset($_POST['earning']) ? esc_attr($_POST['earning']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="support"><?php echo esc_html__('Support', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="support" type="number" id="support" step="0.01" class="regular-text" value="<?php echo isset($_POST['support']) ? esc_attr($_POST['support']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="buyer"><?php echo esc_html__('Buyer', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="buyer" type="text" id="buyer" class="regular-text" value="<?php echo isset($_POST['buyer']) ? esc_attr($_POST['buyer']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="email"><?php echo esc_html__('Email', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="email" type="email" id="email" class="regular-text" value="<?php echo isset($_POST['email']) ? esc_attr($_POST['email']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="placeOfPurchase"><?php echo esc_html__('Place of purchase', 'licensor') ?></label>
                    </th>
                    <td>
                        <select name="placeOfPurchase" id="placeOfPurchase">
                            <option value="1" <?php echo isset($_POST['placeOfPurchase']) && $_POST['placeOfPurchase'] == 1 ? 'selected' : null ?>><?php echo esc_html__('CodeCanyon', 'licensor') ?></option>
                            <option value="2" <?php echo isset($_POST['placeOfPurchase']) && $_POST['placeOfPurchase'] == 2 ? 'selected' : null ?>><?php echo esc_html__('My store', 'licensor') ?></option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="expireTime"><?php echo esc_html__('Expire time', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="datetime-local" name="expireTime" id="expireTime" class="regular-text" value="<?php echo isset($_POST['expireTime']) ? esc_attr($_POST['expireTime']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="create"><?php echo esc_html__('Create', 'licensor') ?></label>
                    </th>
                    <td>
                        <button id="create" name="create" value="create" type="submit" class="button button-primary">
                            <?php echo esc_html__('Create', 'licensor'); ?>
                        </button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div><!-- .wrap -->