<div class="wrap">
    <h1 class="wp-heading-inline">
        <?php echo esc_html__('Edit license', 'licensor'); ?>
    </h1>
    <hr class="wp-header-end">
    
    <form id="licensor-edit-license" action="<?php echo esc_url($this->getCurrentUrl()); ?>" method="post">
        <input type="hidden" name="id" value="<?php echo esc_attr($license['id']) ?>">
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('Product id', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="number" class="regular-text" value="<?php echo isset($license['productId']) ? esc_attr($license['productId']) : null ?>" disabled>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('Product', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="text" class="regular-text" value="<?php echo isset($license['product']) ? esc_attr($license['product']) : null ?>" disabled>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('Product code', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="text" class="regular-text" value="<?php echo isset($license['productCode']) ? esc_attr($license['productCode']) : null ?>" disabled>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('License code', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="text" class="regular-text" value="<?php echo isset($license['licenseCode']) ? esc_attr($license['licenseCode']) : null ?>" disabled>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('License type', 'licensor') ?></label>
                    </th>
                    <td>
                        <select disabled>
                            <option value="1" <?php echo isset($license['licenseType']) && $license['licenseType'] == 1 ? 'selected' : null ?>><?php echo esc_html__('Regular License', 'licensor') ?></option>
                            <option value="2" <?php echo isset($license['licenseType']) && $license['licenseType'] == 2 ? 'selected': null ?>><?php echo esc_html__('Extended License', 'licensor') ?></option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="domain"><?php echo esc_html__('Domain', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="domain" type="text" id="domain" class="regular-text" value="<?php echo isset($license['domain']) ? esc_attr($license['domain']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('Earning', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="number" step="0.01" class="regular-text" value="<?php echo isset($license['earning']) ? esc_attr($license['earning']) : null ?>" disabled>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="support"><?php echo esc_html__('Support', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="support" type="number" id="support" step="0.01" class="regular-text" value="<?php echo isset($license['support']) ? esc_attr($license['support']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('Buyer', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="text" class="regular-text" value="<?php echo isset($license['buyer']) ? esc_attr($license['buyer']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="email"><?php echo esc_html__('Email', 'licensor') ?></label>
                    </th>
                    <td>
                        <input name="email" type="email" id="email" class="regular-text" value="<?php echo isset($license['email']) ? esc_attr($license['email']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label><?php echo esc_html__('Place of purchase', 'licensor') ?></label>
                    </th>
                    <td>
                        <select disabled>
                            <option value="1" <?php echo isset($license['placeOfPurchase']) && $license['placeOfPurchase'] == 1 ? 'selected' : null ?>><?php echo esc_html__('CodeCanyon', 'licensor') ?></option>
                            <option value="2" <?php echo isset($license['placeOfPurchase']) && $license['placeOfPurchase'] == 2 ? 'selected' : null ?>><?php echo esc_html__('My store', 'licensor') ?></option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="status"><?php echo esc_html__('Status', 'licensor') ?></label>
                    </th>
                    <td>
                        <select name="status" id="status">
                            <option value="1" <?php echo isset($license['status']) && $license['status'] == 1 ? 'selected' : null ?>><?php echo esc_html__('Active', 'licensor') ?></option>
                            <option value="2" <?php echo isset($license['status']) && $license['status'] == 2 ? 'selected': null ?>><?php echo esc_html__('Passive', 'licensor') ?></option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="expireTime"><?php echo esc_html__('Expire time', 'licensor') ?></label>
                    </th>
                    <td>
                        <input type="datetime-local" name="expireTime" id="expireTime" class="regular-text" value="<?php echo isset($license['expireTime']) ? esc_attr($license['expireTime']) : null ?>">
                    </td>
                </tr>
                <tr>
                    <th scope="row">
                        <label for="update"><?php echo esc_html__('Update', 'licensor') ?></label>
                    </th>
                    <td>
                        <button id="update" name="update" value="update" type="submit" class="button button-primary">
                            <?php echo esc_html__('Update', 'licensor'); ?>
                        </button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div><!-- .wrap -->